[Patch] Windows Fonts and Start Menu Startup Folders

Dustin Navea speeddymon at yahoo.com
Wed May 22 18:40:58 CDT 2002


Basically what the subject says, adds creation of <c
drive>/windows/fonts and <c drive>/windows/Start
Menu/Programs/Startup to wineinstall for no-windows
installs...  Also, the reason all those lines are
deleted and added back in is because i reformatted
wineinstall, giving it proper indentation where
needed...

of course it would help if i actually attached the
file... here it is..

-Dustin

__________________________________________________
Do You Yahoo!?
LAUNCH - Your Yahoo! Music Experience
http://launch.yahoo.com
-------------- next part --------------
--- tools/wineinstall	Thu May 16 15:27:27 2002
+++ tools/wineinstall.new	Wed May 22 08:51:52 2002
@@ -174,7 +174,8 @@
   for tdir in "$CROOT/windows" "$CROOT/windows/system" "$CROOT/windows/system32" \
               "$CROOT/windows/Start Menu" "$CROOT/windows/Start Menu/Programs" \
               "$CROOT/Program Files" "$CROOT/Program Files/Common Files" \
-              "$CROOT/windows/Profiles" "$CROOT/windows/Profiles/Administrator"
+              "$CROOT/windows/Profiles" "$CROOT/windows/Profiles/Administrator" \
+              "$CROOT/windows/Fonts" "$CROOT/windows/Start Menu/Programs/Startup"
   do [ -d "$tdir" ] || mkdir "$tdir"
   done
   [ -f "$CROOT/windows/win.ini" ]    || cp "$WININI"    "$CROOT/windows/win.ini"
@@ -213,202 +214,197 @@
 if [ "$BINDIST" = 'no' ]
 then {

-if ! [ -f configure ]
-then {
-  echo "You're running this from the wrong directory."
-  echo "Change to the Wine source's main directory and try again."
-  exit 1
-}
-fi
+  if ! [ -f configure ]
+  then {
+    echo "You're running this from the wrong directory."
+    echo "Change to the Wine source's main directory and try again."
+    exit 1
+  }
+  fi

-if [ `whoami` == 'root' ]
-then {
-  echo "You are running wineinstall as root, this is not advisable. Please rerun as a user."
-  echo "Aborting."
-  exit 1
-}
-fi
+  if [ `whoami` == 'root' ]
+  then {
+    echo "You are running wineinstall as root, this is not advisable. Please rerun as a user."
+    echo "Aborting."
+    exit 1
+  }
+  fi

-# check whether RPM installed, and if it is, remove any old wine rpm.
-hash rpm &>/dev/null
-RET=$?
-if [ $RET -eq 0 ]; then
-  if [ -n "`rpm -qi wine 2>/dev/null|grep "^Name"`" ]; then
-    echo "Warning: Old Wine RPM install detected. Do you want to remove it first?"
-    conf_yesno_answer "(yes/no) "
-    if [ "$ANSWER" = 'yes' ]; then
-      echo "We need to remove the rpm as root, please enter your root password"
-      echo
-      echo Starting wine rpm removal...
-      su -c "rpm -e wine; RET=$?"
-      if [ $RET -eq 0 ]; then
-        echo Done.
+  # check whether RPM installed, and if it is, remove any old wine rpm.
+  hash rpm &>/dev/null
+  RET=$?
+  if [ $RET -eq 0 ]; then
+    if [ -n "`rpm -qi wine 2>/dev/null|grep "^Name"`" ]; then
+      echo "Warning: Old Wine RPM install detected. Do you want to remove it first?"
+      conf_yesno_answer "(yes/no) "
+      if [ "$ANSWER" = 'yes' ]; then
+        echo "We need to remove the rpm as root, please enter your root password"
+        echo
+        echo Starting wine rpm removal...
+        su -c "rpm -e wine; RET=$?"
+        if [ $RET -eq 0 ]; then
+          echo Done.
+        else
+          echo "FAILED. Probably you aren't installing as root."
+          echo "Expect problems (library conflicts with existing install etc.)."
+        fi
       else
-        echo "FAILED. Probably you aren't installing as root."
-	echo "Expect problems (library conflicts with existing install etc.)."
+        echo "Sorry, I won't install Wine when an rpm version is still installed."
+        echo "(Wine support suffered from way too many conflicts between RPM"
+        echo "and source installs)"
+        echo "Have a nice day !"
+        exit 1
       fi
-    else
-      echo "Sorry, I won't install Wine when an rpm version is still installed."
-      echo "(Wine support suffered from way too many conflicts between RPM"
-      echo "and source installs)"
-      echo "Have a nice day !"
-      exit 1
-    fi
+    fi
   fi
-fi

-# check whether wine binary still available
-if [ -n "`which wine 2>/dev/null|grep '/wine'`" ]; then
-  echo "Warning !! wine binary (still) found, which may indicate"
-  echo "a (conflicting) previous installation."
-  echo "You might want to abort and uninstall Wine first."
-  std_sleep
-fi
+  # check whether wine binary still available
+  if [ -n "`which wine 2>/dev/null|grep '/wine'`" ]; then
+    echo "Warning !! wine binary (still) found, which may indicate"
+    echo "a (conflicting) previous installation."
+    echo "You might want to abort and uninstall Wine first."
+    std_sleep
+  fi

-# run the configure script, if necessary
+  # run the configure script, if necessary

-if [ -f config.cache ] && [ -f Makefile ] && [ Makefile -nt configure ]
-then {
-  echo
-  echo "I see that WINE has already been configured, so I'll skip that."
-  std_sleep
-  # load configure results
-  . ./config.cache
-}
-else {
-  echo "Running configure..."
-  echo
-  if ! ./configure -C $CONFARGS
+  if [ -f config.cache ] && [ -f Makefile ] && [ Makefile -nt configure ]
   then {
     echo
-    echo "Configure failed, aborting install."
-    rm -f config.cache
-    exit 1
+    echo "I see that WINE has already been configured, so I'll skip that."
+    std_sleep
+    # load configure results
+    . ./config.cache
   }
-  fi
-  # load configure results
-  . ./config.cache
-  # make sure X was found
-  eval "$ac_cv_have_x"
-  if [ "$have_x" != "yes" ]
-  then {
-    echo "Install the X development headers and try again."
-    rm -f config.cache
-    exit 1
+  else {
+    echo "Running configure..."
+    echo
+    if ! ./configure -C $CONFARGS
+    then {
+      echo
+      echo "Configure failed, aborting install."
+      rm -f config.cache
+      exit 1
+    }
+    fi
+    # load configure results
+    . ./config.cache
+    # make sure X was found
+    eval "$ac_cv_have_x"
+    if [ "$have_x" != "yes" ]
+    then {
+      echo "Install the X development headers and try again."
+      rm -f config.cache
+      exit 1
+    }
+    fi
   }
   fi
-}
-fi
-
-# now do the compilation and install, we need to always do this because we
-# don't want the 'make install' command we might run to run 'make' as root
-if [ `whoami` != 'root' ]
-then {
-  # ask the user if they want to build and install wine
-  echo
-  echo "We need to install wine as root user, do you want us to build wine,"
-  echo "'su root' and install Wine?  Enter 'no' to continue without installing"
-  conf_yesno_answer "(yes/no) "

-  if [ "$ANSWER" = "yes" ]
+  # now do the compilation and install, we need to always do this because we
+  # don't want the 'make install' command we might run to run 'make' as root
+  if [ `whoami` != 'root' ]
   then {
-    # start out with the basic command
-    sucommand="make install"
+    # ask the user if they want to build and install wine
+    echo
+    echo "We need to install wine as root user, do you want us to build wine,"
+    echo "'su root' and install Wine?  Enter 'no' to continue without installing"
+    conf_yesno_answer "(yes/no) "

-    # if the user doesn't have $libdir in their ld.so.conf add this
-    # to our sucommand string
-    if [ -f /etc/ld.so.conf ]
-    then
-      if ! grep -qs "$libdir" /etc/ld.so.conf
+    if [ "$ANSWER" = "yes" ]
+    then {
+      # start out with the basic command
+      sucommand="make install"
+
+      # if the user doesn't have $libdir in their ld.so.conf add this
+      # to our sucommand string
+      if [ -f /etc/ld.so.conf ]
+      then
+        if ! grep -qs "$libdir" /etc/ld.so.conf
+        then {
+          echo
+          echo "$libdir doesn't exist in your /etc/ld.so.conf, it will be added"
+          echo "when we perform the install..."
+          sucommand="$sucommand;echo $libdir>>/etc/ld.so.conf"
+        }
+        fi
+        # run ldconfig always just in case some updated files dont get linked
+        sucommand="$sucommand;$ac_cv_path_LDCONFIG"
+      fi
+
+      echo
+
+      echo "Compiling WINE. Grab a lunch or two, rent a video, or whatever,"
+      echo "in the meantime..."
+      echo
+      std_sleep
+
+      # try to just make wine, if this fails 'make depend' and try to remake
+      if ! { make; }
       then {
-	echo
-	echo "$libdir doesn't exist in your /etc/ld.so.conf, it will be added"
-	echo "when we perform the install..."
-        sucommand="$sucommand;echo $libdir>>/etc/ld.so.conf"
+        if ! { make depend && make; }
+        then {
+          echo
+          echo "Compilation failed, aborting install."
+          exit 1
+        }
+        fi
       }
       fi
-      # run ldconfig always just in case some updated files dont get linked
-      sucommand="$sucommand;$ac_cv_path_LDCONFIG"
-    fi
+      echo

-    echo
+      echo "Performing 'make install' as root to install binaries, enter root password"

-    echo "Compiling WINE. Grab a lunch or two, rent a video, or whatever,"
-    echo "in the meantime..."
-    echo
-    std_sleep
+      std_sleep

-    # try to just make wine, if this fails 'make depend' and try to remake
-    if ! { make; }
-    then {
-      if ! { make depend && make; }
+      if ! su root -c "$sucommand"
       then {
         echo
-        echo "Compilation failed, aborting install."
+        echo "Either you entered an incorrect password or we failed to run"
+        echo "'$sucommand' correctly."
+        echo "If you didn't enter an incorrect password then please report this"
+        echo "error and any steps to possibly reproduce it to"
+        echo "http://bugs.winehq.com/"
+        echo
+        echo "Installation failed, aborting."
         exit 1
       }
       fi
-    }
-    fi
-    echo

-    echo "Performing 'make install' as root to install binaries, enter root password"
+      echo

-    std_sleep
+      # see if wine is installed on the users system, if not prompt them
+      # and then exit
+      if [ ! `which wine` ]
+      then
+        echo "Could not find wine on your system.  Run wineinstall as root to install wine"
+        echo "before re-running wineinstall as a user."
+        echo
+        echo "Exiting wineinstall"
+        exit 1;
+      fi
+    }
+    else {
+      # user didn't want to install wine so tell them about running from the
+      # current directory and set some stuff up for them

-    if ! su root -c "$sucommand"
-    then {
+      # setup to run from current directory
+      DLLPATH="$PWD/dlls"
+      if [ -z "$LD_LIBRARY_PATH" ]
+      then LD_LIBRARY_PATH="$PWD:$DLLPATH"
+      else LD_LIBRARY_PATH="$LD_LIBRARY_PATH:$PWD:$DLLPATH"
+      fi
+      export LD_LIBRARY_PATH
+      DEBUGGER="$PWD/$HDEBUGGER"
       echo
-      echo "Either you entered an incorrect password or we failed to run"
-      echo "'$sucommand' correctly."
-      echo "If you didn't enter an incorrect password then please report this"
-      echo "error and any steps to possibly reproduce it to"
-      echo "http://bugs.winehq.com/"
+      echo "NOTE! To run Wine without installing, you must set the environment variable"
+      echo "LD_LIBRARY_PATH to $PWD:$DLLPATH"
+      echo "in your logon scripts."
       echo
-      echo "Installation failed, aborting."
-      exit 1
     }
     fi
-
-    echo
-
-    # see if wine is installed on the users system, if not prompt them
-    # and then exit
-    if [ ! `which wine` ]
-    then
-      echo "Could not find wine on your system.  Run wineinstall as root to install wine"
-      echo "before re-running wineinstall as a user."
-      echo
-      echo "Exiting wineinstall"
-      exit 1;
-    fi
   }
-  else {
-    # user didn't want to install wine so tell them about running from the
-    # current directory and set some stuff up for them
-
-    # setup to run from current directory
-    DLLPATH="$PWD/dlls"
-    if [ -z "$LD_LIBRARY_PATH" ]
-    then LD_LIBRARY_PATH="$PWD:$DLLPATH"
-    else LD_LIBRARY_PATH="$LD_LIBRARY_PATH:$PWD:$DLLPATH"
-    fi
-    export LD_LIBRARY_PATH
-    DEBUGGER="$PWD/$HDEBUGGER"
-    echo
-    echo "NOTE! To run Wine without installing, you must set the environment variable"
-    echo "LD_LIBRARY_PATH to $PWD:$DLLPATH"
-    echo "in your logon scripts."
-    echo
-  }
-  fi
-}
-else {
-  echo "You are running wineinstall as root, this is not advisable. Please rerun as a user."
-  echo "Aborting."
-  exit 1
-}
-fi # [ `whoami` != 'root' ]
+  fi # [ `whoami` != 'root' ]

 }
 fi # BINDIST
@@ -453,7 +449,24 @@
       conf_yesno_answer "(yes/no) "
       DOLOCALCONF="$ANSWER"
       echo
-    else {
+      if [ "$ANSWER" = "yes" ]
+      then
+      {
+        echo "Would you like to make a backup of this old config file?"
+        conf_yesno_answer "(yes/no) "
+        echo
+        if [ "$ANSWER" = "yes" ]
+        then
+        {
+          echo "Renaming $LCONF to $LCONF.old
+          mv -f "$LCONF" "$LCONF.old"
+          echo
+        }
+        fi
+      }
+      fi
+    else
+    {
       echo "Create local config file ~/.wine/config?"
       conf_yesno_answer "(yes/no) "
       DOLOCALCONF="$ANSWER"


More information about the wine-patches mailing list